Subject: bug#53562: 28.0.90; Documentation of `load' and .eln files with native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Jan 2022 08:23:18 +0200

> Date: Thu, 27 Jan 2022 12:25:43 +1300
> From: Phil Sainty <[email-masked]>
> 
> I've noticed that the docstrings for `load' and `load-suffixes' make no
> mention of native-compilation, and it feels to me like they should do.
> 
> `load' says:
> > First try FILE with `.elc' appended, then try with `.el', then try
> > with a system-dependent suffix of dynamic modules (see `load-suffixes')
> 
> `load-suffixes' says:
> > Its value is (".so" ".elc" ".el")
> > 
> > List of suffixes for Emacs Lisp files and dynamic modules.
> > This list includes suffixes for both compiled and source Emacs Lisp 
> > files.
> 
> IIUC the switch to .eln happens only if the .elc file was selected, in
> which case the above is all true in a strict sense; but I feel that the
> .eln case warrants a mention in the text as something which further
> affects the outcome if Emacs was built --with-native-compilation.
> 
> I think `load-no-native' should be referenced as part of that, too.
> (Attempting to find that variable name was the reason for this bug
> report, and apropos-documentation suggests that nothing mentions it.)

Feel free to suggest changes to the documentation, and thanks.